Bug 1796472 - iscsi-initiator-utils fails to build with gcc 10: multiple definition of `la'
Summary: iscsi-initiator-utils fails to build with gcc 10: multiple definition of `la'
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Leech
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-30 14:16 UTC by Miro Hrončok
Modified: 2020-03-02 17:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-02 17:36:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-30 14:16:28 UTC
iscsi-initiator-utils fails to build with gcc 10:


...
/usr/bin/ld: iscsid.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/log.h:67: multiple definition of `la'; iscsi_util.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/log.h:67: first defined here
/usr/bin/ld: session_mgmt.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/../include/iscsi_err.h:76: multiple definition of `iscsi_err'; iface.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/../include/iscsi_err.h:76: first defined here
/usr/bin/ld: session_mgmt.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/log.h:67: multiple definition of `la'; iscsi_util.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/log.h:67: first defined here
/usr/bin/ld: discoveryd.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/../include/iscsi_err.h:76: multiple definition of `iscsi_err'; iface.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/../include/iscsi_err.h:76: first defined here
/usr/bin/ld: discoveryd.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/log.h:67: multiple definition of `la'; iscsi_util.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/log.h:67: first defined here
/usr/bin/ld: mntcheck.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/../include/iscsi_err.h:76: multiple definition of `iscsi_err'; iface.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/../include/iscsi_err.h:76: first defined here
/usr/bin/ld: mntcheck.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/log.h:67: multiple definition of `la'; iscsi_util.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/log.h:67: first defined here
/usr/bin/ld: mntcheck.o:(.bss+0x10): multiple definition of `ipc'; io.o:/builddir/build/BUILD/open-iscsi-4440e57a59c7f1c23bbfdcb10844017f478918b6/usr/iscsi_ipc.h:165: first defined here
collect2: error: ld returned 1 exit status


This blocks the Python 3.9 rebuild of the package.

See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RYVPP45PMWPXYBBDKXO3CI7YGL7CDQG6/ and https://gcc.gnu.org/gcc-10/porting_to.html#common for more information about the failure.

Comment 1 Ben Cotton 2020-02-11 17:22:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:29:24 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 3 Fedora Release Engineering 2020-03-01 04:28:07 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 4 Than Ngo 2020-03-02 17:36:44 UTC
it's fixed in f32 and rawhide


Note You need to log in before you can comment on or make changes to this bug.